## TITLE: PUBLIC SCHOOL LITERACY TRACKER
 
 
### INTRODUCTION TO PROJECT:

 The project aims at providing a basic insight of illiteracy rates i.e number of illiterates present in the rural and urban districts of telangana and these data is represented with the help of interactive visualisations 
 and displaying them through  a web application. 


### PURPOSE OF THE PROJECT:

Literacy rate in India is a key for social economic progress,but the India’s literacy rate has increased sluggishly because of the persisting illiterates in the rural and urban areas 
of some states .so our project “PUBLIC SCHOOL LITERACY TRACKER” aims at providing an insight of illiteracy rate existing in districts of telangana ,
i.e we will analyze and visualize the data based on past records ,will map the districts with highest ,lowest illiterates
and make it available for government(NGO's) i.e common people in form of buliding dashboards(an interactive website) where all the visualisations are embeeded and can know  the number of uneducated people rate in different districts of telangana ,
so that government can take some improvement steps in order to enhance the literacy rate prevailing in rural districts of governments 

![flow chart](flow chart.png)


### STEPS INVOLVED:

1.Datset collection
2.Importing libraries
3.Data analysis 
4.Data visualisations
5.Performing interactive visualisation(D3.JS,BOKEH)
6.For mapping Geopandas
7.Deploying web apps using bottle


### PIVOTAL TASKS:

Three major tasks has  been involved :

*  Data Analysis and Data Visualization
*  Running in a bokeh server (bokeh plots for interactivity)
*  Deploying(integrating) bokeh plots to bottle

### INSTALLATION OR USAGE REQUIREMENTS:

PYTHON         : The python versions above 3.0 can be downloaded.the pre-embeeding libraries supporting for DataScience like matplotlib,numpy makes ease of data analysis and data                              visualisations.

JUPYTER NOTEBOOK: The Jupyter Notebook is an open-source web application that allows you to create and share documents that contain live code, equations, visualizations and explanatory text.
Uses include: data cleaning and transformation, numerical simulation, statistical modeling, machine learning and much more.

NUMPY           : It is the fundamental package for scientific computing with Python, Numpy is a general-purpose array-processing package. It provides a high-performance multidimensional array                   object,and tools for working with these arrays.

MATPLOTLIB      : Matplotlib is a Python 2D plotting library which produces publication quality figures in a variety of hardcopy formats and interactive environments across platforms.

BOKEH           : Bokeh is an interactive visualization library that targets modern web browsers for presentation. Its goal is to provide elegant, concise construction of versatile graphics,
and to extend this capability with high-performance interactivity over very large or streaming datasets.

BOTTLE          :  Bottle is a fast, simple and lightweight WSGI micro web-framework for Python. It is distributed as a single file module and has no dependencies
other than the Python Standard Library.   

The following commands install the dependencies:

```bash
sudo apt install python python-pip
pip install numpy matplotlib bokeh bottle jupyter
```

### SCOPE OF IMPLEMENTATION:
Our project has been enhanced by adding features in each versions, and the addition of each feature and its function,deadline has been mentioned below


    ________________________________________________________________________
    |VERSION          |FEATURE                           |D.O.C            |
    |_________________|__________________________________|_________________| 
    |0.1              |Dataset collection                |13-06-19         |
    |_________________|__________________________________|_________________|
    |0.2              |Basic insight of Dataset          |16-06-19         |
    |_________________|__________________________________|_________________|
    |0.3              |Data Acquistion                   |21-06-19         |
    |_________________|__________________________________|_________________|
    |0.4              |Data Wrangling                    |23-06-19         |
    |_________________|__________________________________|_________________|
    |0.5              |Data Analysis(Exploratory)        |28-06-19         |
    |_________________|__________________________________|_________________|
    |0.6              |Static Data visualisations        |30-06-19         |
    |_________________|__________________________________|_________________|
    |0.7              |Interactive Data visualisations   |05-07-19         |
    |_________________|__________________________________|_________________|
    |0.8              |Bokeh server                      |07-07-19         |
    |_________________|__________________________________|_________________|



### USERS OR SCOPE:
the dash board which we are going to bulid can be  used by 
1.  NGO's
2.  Government schools and colleges
3.  Education sectors of vivid states


### ADVANTAGES:

1.  The web interface provides a brief overview of uneducated count in different districts of urban and rural telangana.
2.  so that the people who are the end users will have basic insight on illiteracy ,consequently they could taken some preventive measures
3.  the interactive bokeh plots makes the dash board look more efficiently.


### FUTURE IMPLEMENTATIONS:
As a part of features enhancements, we will collect the data from real-time modes like we will visit near by government schools and colleges in our areas to know the literacy rate based on the dataset we obtained we perform the visulisation and deploy them in our existing dashboard ,so sofar we will have all the visualisations national level,regional level deployed into our dash board which makes ease of understanding for end users.


### UPDATES:
further procurements updated soon!!!.

### LICENSE:

[license](https://choosealicense.com/licenses/gpl-3.0/)


